#define F_CPU	7372800 //Quarz Frequenz in Hz

#include <avr/delay.h>
#include <avr/io.h>

#define SERVO_PIN 		3
#define SERVO_PORT 		PORTB
#define SERVO_PORT_DIR 	DDRB


int main(void)
{ 
 unsigned char 	delay = 1; 
 unsigned short 	count = 0; 
 
 SERVO_PORT_DIR |= (1 << SERVO_PIN);

	while(1)
	 { 
	   SERVO_PORT |=  (1 << SERVO_PIN); 
	    _delay_ms(delay); 
	   SERVO_PORT &= ~(1 << SERVO_PIN); 
	    _delay_ms(15); 
	   count++; 
	    if (count == 66) 	  //63*16ms = ~1s 
		 { 
	      count = 0; 
	      delay = 3 - delay; //abwechselnd 2,1,2,1,2,... ms 
	     } 
     } 
}
